com.mathworks.mps.client.rest

## Class MATLABRequests

- java.lang.Object
- - com.mathworks.mps.client.rest.MATLABRequests

-     public class MATLABRequests
      extends java.lang.Object

  This class represents the collection of requests owned by a certain client. Request the collection using the GET Collection of Requests RESTful API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MATLABRequests()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCreatedSeq()` Returns lastModifiedSeq value on the server associated with the client from which the HTTP request was made.
    `java.util.Map<java.lang.String,MATLABRequest>` | `getMATLABRequests()` Returns a map of all requests sent to the server from each client.
    `static MATLABRequests` | `newInstance(byte[] byteArray)` Creates a MATLABRequests object.
    `static MATLABRequests` | `newInstance(java.io.InputStream inputStream)` Creates a MATLABRequests object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MATLABRequests

          public MATLABRequests()

  - ### Method Detail

    - #### newInstance

          public static MATLABRequests newInstance(java.io.InputStream inputStream)

      Creates a MATLABRequests object.
      Parameters:
        `inputStream` -
      Returns:
        MATLABRequests object

    - #### newInstance

          public static MATLABRequests newInstance(byte[] byteArray)

      Creates a MATLABRequests object.
      Parameters:
        `byteArray` -
      Returns:
        MATLABRequests object

    - #### getCreatedSeq

          public long getCreatedSeq()

      Returns lastModifiedSeq value on the server associated with the client from which the HTTP request was made.
      Returns:
        long

    - #### getMATLABRequests

          public java.util.Map<java.lang.String,MATLABRequest> getMATLABRequests()

      Returns a map of all requests sent to the server from each client. The map represents each request by the key-value pair of the request URL and the `MATLABRequest` object.
      Returns:
        Map of String and `MATLABRequest`

Copyright 2010-2022 The MathWorks, Inc.